Agara

Home trending shelf

GET/api/v1/home/trending

Top events by 24-hour volume across all event types. Returns a discriminated card union — switch on type to render.

Query Parameters

limit?integer

Card count. Default 12, max 24.

Range1 <= value <= 24
Default12
tradable_only?boolean

When true, returns only events that are currently accepting orders.

Defaultfalse
source?"AGARA"

Filter catalogue results to the AGARA exchange.

Value in

  • "AGARA"

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/home/trending"
{  "key": "trending",  "title": "string",  "items": [    {      "event_id": "string",      "slug": "string",      "title": "string",      "volume": "string",      "volume_24h": "string",      "market_count": 0,      "primary_category": {        "slug": "string",        "label": "string"      },      "is_accepting_orders": true,      "type": "trending_image",      "image_url": "string",      "outcome": {        "label": "string",        "short_label": "string",        "percent": 0,        "tone": "positive"      }    }  ]}